Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.upgrader
Class AbstractBuildUpgrader

    java.lang.Object
      com.atlassian.bamboo.upgrader.AbstractBuildUpgrader

All Implemented Interfaces:
  Upgrader

Direct Known Subclasses:
  Version28Upgrader, VersionElevenToVersionTwelveUpgrader, VersionFifteenToVersionSixteenUpgrader, VersionFourteenToVersionFifteenUpgrader, VersionNineteenToVersionTwentyUpgrader, VersionNineToVersionTenUpgrader, VersionSeventeenToVersionEighteenUpgrader, VersionSevenToVersionEightUpgrader, VersionSixteenToVersionSeventeenUpgrader, VersionTenToVersionElevenUpgrader, VersionThirteenToVersionFourteenUpgrader, VersionTwelveToVersionThirteenUpgrader, VersionTwentyFourToVersionTwentyFiveUpgrader, VersionTwentySevenToVersionTwentyEightUpgrader, VersionTwentyThreeToVersionTwentyFourUpgrader, VersionTwentyToVersionTwentyOneUpgrader, VersionTwentyTwoToVersionTwentyThreeUpgrader

    public abstract class AbstractBuildUpgrader

extends Object
implements Upgrader

Constructor Summary
`AbstractBuildUpgrader(File buildDirectory, AbstractXStreamPersister abstractXStreamPersister)`

Method Summary
`protected File` | `getBuildDirectory()`
`AbstractXStreamPersister` | `getXStreamPersister()`
`protected Build` | `readInTheBuildFile(File buildFile)`
`protected Object` | `readInTheBuildFile(File buildFile, AbstractXStreamPersister persister)`
`protected void` | `saveBuildBackToFile(File buildFile, Build build)`
`protected abstract void` | `updateBuildFile(File buildFile)`
`void` | `upgrade()` Updgrade the build and configuration files one version

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractBuildUpgrader

    public AbstractBuildUpgrader(File buildDirectory,
                                 AbstractXStreamPersister abstractXStreamPersister)

Method Detail

### getBuildDirectory

    protected File getBuildDirectory()

### upgrade

    public void upgrade()

  Updgrade the build and configuration files one version

  Specified by:
    `upgrade` in interface `Upgrader`

### getXStreamPersister

    public AbstractXStreamPersister getXStreamPersister()

### readInTheBuildFile

    protected Build readInTheBuildFile(File buildFile)
                                throws IOException

  Throws:
    `IOException`

### readInTheBuildFile

    protected Object readInTheBuildFile(File buildFile,
                                        AbstractXStreamPersister persister)
                                 throws IOException

  Throws:
    `IOException`

### saveBuildBackToFile

    protected void saveBuildBackToFile(File buildFile,
                                       Build build)
                                throws Exception

  Throws:
    `Exception`

### updateBuildFile

    protected abstract void updateBuildFile(File buildFile)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.